package com.zaojiao.app.data.remote

import com.zaojiao.app.data.model.UserModel
import com.zaojiao.app.data.remote.api.UserApi
import javax.inject.Inject
import javax.inject.Singleton

@Singleton
class RemoteUserData @Inject constructor(
    private val userApi: UserApi,
) {
    suspend fun getUser(): UserModel? {
        val user = userApi.getUser()
        return user.data
    }
}